/**********************************************************************************
 *    EasyPCA performs a PCA analysis of a binary input file                      *
 *    Copyright (C) 2008  Javier Cruz Mota                                        *
 *    E-Mail: javier.cruz (AT) epfl.ch                                            *
 *    Postal Address: EPFL /  ENAC /  INTER /  TRANSP-OR                          *
 *                    GC B3 425 (Bâtiment GC), Station 18                         *
 *                    CH-1015 Lausanne (Switzerland)                              *
 *                                                                                *
 *    This file is part of EasyPCA.                                               * 
 *                                                                                *
 *    EasyPCA is free software; you can redistribute it and/or modify             *
 *    it under the terms of the GNU General Public License as published by        *
 *    the Free Software Foundation; either version 2 of the License, or           *
 *    (at your option) any later version.                                         *
 *                                                                                *
 *    EasyPCA is distributed in the hope that it will be useful,                  *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *    GNU General Public License for more details.                                *
 *                                                                                *
 *    You should have received a copy of the GNU General Public License           *
 *    along with EasyPCA; if not, write to the Free Software                      *
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA  *
 **********************************************************************************/

#include "utils.hpp"

double pythag(double val1, double val2)
{
	double abs1 = fabs(val1);
	double abs2 = fabs(val2);

	if (abs1 > abs2)
		return abs1*sqrt(1.0+((abs2*abs2)/(abs1*abs1)));
	else
		return (abs2 == 0.0 ? 0.0 : abs2*sqrt(1.0+((abs1*abs1)/(abs2*abs2))));
}

